#version 460

#include "/lib/settings.glsl"

#ifdef SHADOWS
#endif

#ifdef TERRAIN_SHADOWS
#endif

#ifdef ENTITY_SHADOWS
#endif

#ifdef BLOCK_ENTITY_SHADOWS
#endif

#ifdef COLORED_SHADOWS
	/* DRAWBUFFERS:0 */

	out vec3 outColor0;
#endif

uniform sampler2D gtexture;

in vec2 texcoord;

in vec4 tintColor;

void main() {
	#if defined COLORED_SHADOWS
		vec4 color = texture(gtexture, texcoord) * tintColor;
		if(color.a < 0.1) discard;

		outColor0 = color.rgb * 3; // * (1.0 - color.a); // Makes more sense but looks worse imo
	#else
		if(texture(gtexture, texcoord).a * tintColor.a < 0.1) discard;
	#endif
}