#version 460

#include "/lib/settings.glsl"

/* DRAWBUFFERS:0 */

out vec4 outColor0;

uniform sampler2D gtexture;

in vec2 texcoord;

void main() {
	vec4 color = texture(gtexture, texcoord);
	if(color.a < 0.1) discard;

	outColor0 = color * SUN_BRIGHTNESS;
}