#version 460

out vec4 tintColor;

out vec2 texcoord;

#include "/lib/distortFactor.glsl"

in vec3 vaPosition;
in vec4 vaColor;
in vec2 vaUV0;
uniform mat4 modelViewMatrix;
uniform mat4 projectionMatrix;
// uniform mat4 textureMatrix;
uniform vec3 chunkOffset;

void main() {
	gl_Position = getDistortFactor(projectionMatrix * modelViewMatrix * vec4(vaPosition + chunkOffset, 1.0));

	texcoord = vaUV0; // (textureMatrix * vec4(vaUV0, 0.0, 1.0)).xy;

	tintColor = vaColor;
}